Bug 1672405 - TypeError: __new__() missing 4 required positional arguments: 'kernel', 'initrd', 'root', and 'args' when using 'reboot --kexec' in a kickstart. [NEEDINFO]
Summary: TypeError: __new__() missing 4 required positional arguments: 'kernel', 'init...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: anaconda
Version: 8.0
Hardware: x86_64
OS: Unspecified
high
unspecified
Target Milestone: rc
: 8.0
Assignee: Anaconda Maintenance Team
QA Contact: Release Test Team
Shweta Naresh
URL:
Whiteboard: abrt_hash:595b2719043738a396e88047a81...
Depends On: 1678953 1855290
Blocks: 1679810
TreeView+ depends on / blocked
 
Reported: 2019-02-04 21:04 UTC by Justin Cook
Modified: 2020-11-04 03:23 UTC (History)
19 users (show)

Fixed In Version: anaconda-33.16.3.1-2
Doc Type: Bug Fix
Doc Text:
.Installation failed when using the `reboot --kexec` command Previously, the RHEL 8 installation failed when a Kickstart file that contained the `reboot --kexec` command was used. With this update, the installation with `reboot --kexec` now works as expected.
Clone Of:
Environment:
Last Closed: 2020-11-04 03:22:50 UTC
Type: ---
Target Upstream Version:
jcastran: needinfo? (kwalker)


Attachments (Terms of Use)
File: anaconda-tb (702.95 KB, text/plain)
2019-02-04 21:04 UTC, Justin Cook
no flags Details
File: anaconda.log (34.33 KB, text/plain)
2019-02-04 21:04 UTC, Justin Cook
no flags Details
File: dbus.log (3.65 KB, text/plain)
2019-02-04 21:04 UTC, Justin Cook
no flags Details
File: dnf.librepo.log (18.04 KB, text/plain)
2019-02-04 21:04 UTC, Justin Cook
no flags Details
File: environ (637 bytes, text/plain)
2019-02-04 21:04 UTC, Justin Cook
no flags Details
File: hawkey.log (1.78 KB, text/plain)
2019-02-04 21:04 UTC, Justin Cook
no flags Details
File: ks.cfg (2.49 KB, text/plain)
2019-02-04 21:04 UTC, Justin Cook
no flags Details
File: lorax-packages.log (24.11 KB, text/plain)
2019-02-04 21:04 UTC, Justin Cook
no flags Details
File: lsblk_output (1.38 KB, text/plain)
2019-02-04 21:04 UTC, Justin Cook
no flags Details
File: nmcli_dev_list (1.81 KB, text/plain)
2019-02-04 21:04 UTC, Justin Cook
no flags Details
File: os_info (513 bytes, text/plain)
2019-02-04 21:04 UTC, Justin Cook
no flags Details
File: program.log (45.60 KB, text/plain)
2019-02-04 21:04 UTC, Justin Cook
no flags Details
File: storage.log (64.38 KB, text/plain)
2019-02-04 21:04 UTC, Justin Cook
no flags Details
File: syslog (181.78 KB, text/plain)
2019-02-04 21:04 UTC, Justin Cook
no flags Details
File: ifcfg.log (1.91 KB, text/plain)
2019-02-04 21:04 UTC, Justin Cook
no flags Details
File: packaging.log (194.11 KB, text/plain)
2019-02-04 21:04 UTC, Justin Cook
no flags Details
anaconda traceback file from bug verification attempt (2.21 MB, text/plain)
2020-07-15 12:58 UTC, Jiri Kortus
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 4929121 0 None None None 2020-03-25 17:20:50 UTC
Red Hat Product Errata RHBA-2020:4729 0 None None None 2020-11-04 03:23:13 UTC

Description Justin Cook 2019-02-04 21:04:27 UTC
Description of problem:


Version-Release number of selected component:
anaconda-29.19.0.25

The following was filed automatically by anaconda:
anaconda 29.19.0.25 exception report
Traceback (most recent call first):
  File "/usr/lib64/python3.6/site-packages/pyanaconda/kexec.py", line 46, in run_grubby
    boot_info = _BootInfo()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/kexec.py", line 87, in setup_kexec
    boot_info = run_grubby()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation_tasks.py", line 438, in run_task
    self._task(*self._task_args, **self._task_kwargs)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation_tasks.py", line 472, in start
    self.run_task()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation_tasks.py", line 304, in start
    item.start()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation_tasks.py", line 304, in start
    item.start()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation.py", line 205, in doConfiguration
    configuration_queue.start()
  File "/usr/lib64/python3.6/threading.py", line 864, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/threading.py", line 286, in run
    threading.Thread.run(self)
TypeError: __new__() missing 4 required positional arguments: 'kernel', 'initrd', 'root', and 'args'

Additional info:
addons:         com_redhat_kdump, org_fedora_oscap
cmdline:        /usr/libexec/platform-python  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=vmlinuz initrd=initrd.img inst.stage2=hd:LABEL=RHEL-8-0-BaseOS-x86_64 rd.live.check quiet text ks=http://10.0.2.2:8308/ks.cfg
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.18.0-32.el8.x86_64
product:        Red Hat Enterprise Linux 8
release:        Red Hat Enterprise Linux release 8.0 Beta (Ootpa)
release_type:   pre-release
type:           anaconda
version:        8.0

Comment 1 Justin Cook 2019-02-04 21:04:30 UTC
Created attachment 1526871 [details]
File: anaconda-tb

Comment 2 Justin Cook 2019-02-04 21:04:32 UTC
Created attachment 1526872 [details]
File: anaconda.log

Comment 3 Justin Cook 2019-02-04 21:04:34 UTC
Created attachment 1526873 [details]
File: dbus.log

Comment 4 Justin Cook 2019-02-04 21:04:35 UTC
Created attachment 1526874 [details]
File: dnf.librepo.log

Comment 5 Justin Cook 2019-02-04 21:04:36 UTC
Created attachment 1526875 [details]
File: environ

Comment 6 Justin Cook 2019-02-04 21:04:37 UTC
Created attachment 1526876 [details]
File: hawkey.log

Comment 7 Justin Cook 2019-02-04 21:04:38 UTC
Created attachment 1526877 [details]
File: ks.cfg

Comment 8 Justin Cook 2019-02-04 21:04:40 UTC
Created attachment 1526878 [details]
File: lorax-packages.log

Comment 9 Justin Cook 2019-02-04 21:04:41 UTC
Created attachment 1526879 [details]
File: lsblk_output

Comment 10 Justin Cook 2019-02-04 21:04:42 UTC
Created attachment 1526880 [details]
File: nmcli_dev_list

Comment 11 Justin Cook 2019-02-04 21:04:43 UTC
Created attachment 1526881 [details]
File: os_info

Comment 12 Justin Cook 2019-02-04 21:04:45 UTC
Created attachment 1526882 [details]
File: program.log

Comment 13 Justin Cook 2019-02-04 21:04:47 UTC
Created attachment 1526883 [details]
File: storage.log

Comment 14 Justin Cook 2019-02-04 21:04:49 UTC
Created attachment 1526884 [details]
File: syslog

Comment 15 Justin Cook 2019-02-04 21:04:50 UTC
Created attachment 1526885 [details]
File: ifcfg.log

Comment 16 Justin Cook 2019-02-04 21:04:53 UTC
Created attachment 1526886 [details]
File: packaging.log

Comment 17 Justin Cook 2019-02-26 21:11:26 UTC
For what it’s work, I removed `reboot --kexec` and placed “inst.kexec” in `bootloader --append` and it worked fine.

Comment 20 Jiri Konecny 2019-03-04 14:43:07 UTC
Hello,

The workaround in comment 17 won't work. The kexec feature is used on the end of the installation and it will basically switch to the installed system without reboot.

The bootloader --apend workaround will not be used during the installation but on the installed system and inst.kexec is only Anaconda option. Result of this will be that your installed system will have inst.kexec kernel command line parameter which won't be recognized so it will be ignored. However, there is even potential problem that in case you will run anaconda locally on this installed system the option will be recognized and it may behave incorrectly.

So please DO NOT USE workaround in comment 17.

Comment 22 Justin Cook 2019-03-04 14:49:59 UTC
Thank you! I suppose I should wait for `reboot --kexec` to be fixed?

Comment 48 Jiri Kortus 2020-07-15 12:58:57 UTC
Created attachment 1701205 [details]
anaconda traceback file from bug verification attempt

Comment 49 Jan Stodola 2020-07-15 13:22:45 UTC
The problem described in comment 47 is reported in bug 1855290 and will be fixed there.
I'm moving this bug back to ON_QA and setting dependency on bug 1855290.

This bug can be verified once bug 1855290 is fixed.

Comment 52 Marek Havrila 2020-08-12 12:27:21 UTC
Verified on RHEL-8.3.0-20200811.0; anaconda-33.16.3.17-1.el8.x86_64

Comment 59 errata-xmlrpc 2020-11-04 03:22:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (anaconda bug fix and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4729


Note You need to log in before you can comment on or make changes to this bug.